$(document).ready(function () {
  $("body").on("change focus blur", ".visatype", getvouch);
  $("body").on("blur", ".manualno,.visano", chkexist);
  $("body").on("change", "#file", previewimg);
  $("body").on("change", ".file", preview_rowimg);
  $("body").off("click").on("click", ".remove", remove);
  $(".modalbody").on("click", ".tdsponsor", filval);
  $(".brokbody").on("click", ".tdbroker", brokfilval);
  $("body").on("click", ".imgshow", getImgModal);
  $("body").on("blur ", ".passport", getpassport);
  $("body").on("blur ", ".manualno", getfileno);
  $("body").on("blur", ".imig,.stamp,.mis,.mofa,.misc,.disc", Cal);
  $("body").on("blur", ".passport", checkSamePassport);

  function getfileno() {
    var manualno = $(".manualno").val();
      myvouch = $(".myvouch").val();

    $.ajax({
      type: "POST",
      dataType: "json",
      url: "get_fileno.php",
      data: { manualno: manualno, myvouch: myvouch },
      success: function (response) {
        if (response != "") {
          var vcno = response.vouchno;
          var vcdt = response.vouchdt;
          var file = response.manualno;

          var ctr = 0;

          if (ctr <= 1) {
            alert(
              "Already The same file is been used on " +
                vcdt +
                
                ""
            );
            $(".manualno").val("");
            $(".manualno").focus();

            ctr++;
          }
        }
      },
      error: function (request, textStatus, errorThrown) {},
    });
  }
  function getpassport() {
    var tr = $(this).closest("tr"),
      passport = tr.find(".passport").val(),
      myvouch = $(".myvouch").val();
    $.ajax({
      type: "POST",
      dataType: "json",
      url: "get_passport.php",
      data: { passport: passport, myvouch: myvouch },
      success: function (response) {
        //                $(".passport").val(response[0].party).trigger('change');
        //                tr(".passport").val(response.passport);
        if (response != "") {
          var vcno = response.vouchno;
          var vcdt = response.vouchdt;
          var ctr = 0;

          if (ctr <= 1) {
            alert(
              "Already The same passport is been used on " +
                vcdt +
                "   passport no   " +
                passport +
                "  having voucher no  " +
                vcno +
                ""
            );

            ctr++;
          }
        }
      },
      error: function (request, textStatus, errorThrown) {},
    });
  }

  function checkSamePassport() {
    var tr = $(this).closest("tr"),
      sr = tr.find(".srno").val(),
      passport = tr.find(".passport").val();
    if (passport != "") {
      $(".tbody")
        .find("tr")
        .each(function () {
          var row = $(this);
          var srno = row.find(".srno").val();
          var passchk = row.find(".passport").val();
          if (passport == passchk && srno != sr) {
            alert("Passport  Already Exist  at Sr.  " + srno);
            tr.find(".passport").val("");
            tr.find(".passport").focus();
            return false;
          }
        });
    }
  }

  function getImgModal() {
    var tr = $(this).closest("tr"),
      vouchno = $(".myvouch").val(),
      srno = tr.find(".srno").val();
    if (vouchno != "" && srno != "") {
      $.post(
        "showImage.php",
        { vouchno: vouchno, srno: srno },
        function (data) {
          if (data != "") {
            $(".tbody4").html(data);
            $(".imgModal").modal("show");
          }
        }
      );
    }
  }
  function brokfilval() {
    var tr = $(this).closest("tr"),
      broker = tr.find(".tdbroker").text();
    $("#broker").val(broker);
    $("#myBroker").modal("hide");
    $(".email").focus();
  }

  function Cal() {
    var imig = $(".imig").val();
    var stamp = $(".stamp").val();
    var mis = $(".mis").val();
    var mofa = $(".mofa").val();
    var misc = $(".misc").val();

    var total =
      parseFloat(imig) +
      parseFloat(stamp) +
      parseFloat(mis) +
      parseFloat(mofa) +
      parseFloat(misc);
    $(".total").val(total);
    var disc = $(".disc").val();
    var final = parseFloat(total) - parseFloat(disc);
    $(".tot").val(final);
  }

  $("#broksrch").keyup(function () {
    var ssearch = $("#broksrch").val();

    if (ssearch != "") {
      $.get("get_broker.php", { ssearch: ssearch }, function (data) {
        $(".brokbody").html(data);
      });
    }
  });

  $("#brksrch").click(function () {
    var sponsor = $(".sponsor").val();
    if (sponsor == "") {
      $.get("get_broker.php", function (data) {
        $("#myBroker").modal("show");
        $(".brokbody").html(data);
      });
    }
  });

  function filval() {
    var tr = $(this).closest("tr"),
      sponsor = tr.find(".tdsponsor").text();
    $("#sponsor").val(sponsor);
    $("#myModal").modal("hide");
    $(".broker").focus();
  }

  $("#sponsrch").keyup(function () {
    var ssearch = $("#sponsrch").val();

    if (ssearch != "") {
      $.get("get_sponsor.php", { ssearch: ssearch }, function (data) {
        $(".modalbody").html(data);
      });
    }
  });

  $("#spnname").click(function () {
    var sponsor = $(".sponsor").val();
    if (sponsor == "") {
      $.get("get_sponsor.php", function (data) {
        $("#myModal").modal("show");
        $(".modalbody").html(data);
      });
    }
  });

  $("#hsearch").hide();
  $("#hprevious").hide();
  $("#hnext").hide();
  //    $("#hprint").hide();

  $("#preview").dblclick(function () {
    var src = $(this).attr("src");
    window.open(src, "_blank");
  });

  $(".preview").dblclick(function () {
    var src = $(this).attr("src");
    window.open(src, "_blank");
  });

  $(".visa").click(function () {
    $(".VisaModal").modal("show");
  });

  $("#hedit").click(function () {
    stopedit();
  });

  function stopedit() {
    var addflag = $(".addflag").val();

    if (addflag !== 1) {
      //            $('.visatype').prop('disabled', 'disabled');
    }
  }

  $(".newsave").click(function () {
    $(".tbody3")
      .find("tr")
      .each(function () {
        var row = $(this),
          code = row.find(".code").val(),
          name = row.find(".tname").val();
        if (name != "") {
          $.post("save_new.php", { code: code, name: name }, function (data) {
            $(".visatype").html(data).trigger("change");
          });
        }
      });
    $(".VisaModal").modal("hide");
  });

  $(window).keydown(function (event) {
    if (event.altKey && event.keyCode == 84) {
      // Alt+T
      $(".VisaModal").modal("show");
    }
  });

  function previewimg() {
    function readIMG(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
          $("#preview").attr("src", e.target.result);
        };

        reader.readAsDataURL(input.files[0]);
      }
    }
    readIMG(this);
  }

  function preview_rowimg() {
    var tr = $(this).closest("tr");

    function readIMG(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
          tr.find(".preview").attr("src", e.target.result);
        };

        reader.readAsDataURL(input.files[0]);
      }
    }
    readIMG(this);
  }

  function remove() {
    if ($(this).hasClass("rdel")) {
      var tr = $(this).closest("tr"),
        code = tr.find(".code").val(),
        element = $(this).closest("tr"),
        addflag = $(".addflag").val(),
        name = tr.find(".tname").val();
      if (confirm("Do You Want To Delete ?")) {
        $(this).closest("tr").remove();
        $.post("del.php", { code: code, name: name }, function (data) {
          if (data !== "") {
            if (data === "Cannot Delete Entries Exist For This Visatype.") {
              alert(data);
              $(".tbody3").append(element);
            } else {
              if (addflag === 1) {
                $(".visatype").html(data).trigger("change");
              }
            }
          }
        });
      }
    } else {
      $(this).closest("tr").remove();
    }
  }

  //    $('.category').click(function (event) {
  //        event.preventDefault();
  //        $('.cat_d').show();
  //        $('.pax_d').hide();
  //
  //    });
  //    $('.paxdetail').click(function (event) {
  //        event.preventDefault();
  //        $('.pax_d').show();
  //        $('.cat_d').hide();
  //
  //    });

  //    $("#finishTab").click(function () {
  //        var valid = true;
  //
  //
  //
  //        $(".myTable").find('tr').each(function () {
  //            var row = $(this);
  //            var srno = row.find('.sno').val();
  //            var rate = row.find('.rate').val();
  //            var item = row.find('.item').val();
  //            if (item != '') {
  //                if (rate == 0) {
  //                    alert('Rate Cannot Be Zero For Item  ' + item + '  at Sr.  ' + srno);
  ////                return false;
  //                    valid = false;
  //                    row.find('.rate').focus();
  //                }
  //            }
  //
  //        });
  //
  //
  //        if (valid) {
  //            var isValid = true;
  //
  //            if (isValid) {
  //                $("#submit").show();
  //                $("#submit").click();
  //
  //            }
  //        }
  //    });

  function chkexist() {
    var visatype = $(".visatype").val(),
      manualno = $(".manualno").val(),
      visano = $(".visano").val(),
      id = $(this).attr("id"),
      voucher = $(".voucher").val();

    if (id === "visano") {
      if (visano !== "") {
        $.post(
          "chk_exist.php",
          { visatype: visatype, voucher: voucher, visano: visano, id: id },
          function (data) {
            if (data != "") {
              $(".visano").val("");
              alert(data);
              $(".visano").focus();
            }
          }
        );
      }
    } else {
      if (manualno !== "") {
        $.post(
          "chk_exist.php",
          { visatype: visatype, voucher: voucher, manualno: manualno, id: id },
          function (data) {
            if (data != "") {
              $(".manualno").val("");
              alert(data);
              $(".manualno").focus();
            }
          }
        );
      }
    }
  }

  function getvouch() {
    var visatype = $(".visatype").val(),
      addflag = $(".addflag").val(),
      voucher = $(".voucher").val();
    if (addflag == 1) {
      $.post("get_vouch.php", { visatype: visatype }, function (data) {
        $(".voucher").val(data);
      });
    }
  }

  $("#addnew").click(function () {
    AddRows();
  });

  $("#addnew2").click(function () {
    AddRows2();
  });

  $("#addnew3").click(function () {
    AddRows3();
  });

  function AddRows() {
    var ctr = $("#items").val();
    var addflg = $(".addflg").val();
    var hide_check = "";
    if ($("#del_all").prop("checked")) {
      hide_check = 0;
    } else {
      hide_check = 1;
    }
    $.post(
      "pax_add.php",
      { ctr: ctr, hide: hide_check, addflg: addflg },
      function (data) {
        $(data).appendTo(".tbody");
        ctr++;
        $("#items").val(ctr);
      }
    );
  }

  function AddRows2() {
    var ctr = $("#items2").val();
    var hide_check = "";
    if ($("#del_all").prop("checked")) {
      hide_check = 0;
    } else {
      hide_check = 1;
    }
    $.post("category_add.php", { ctr: ctr, hide: hide_check }, function (data) {
      $(data).appendTo(".tbody2");
      ctr++;
      $("#items2").val(ctr);
    });
  }

  function AddRows3() {
    var hide_check = "";
    var ctr = "";
    if ($("#del_all").prop("checked")) {
      hide_check = 0;
    } else {
      hide_check = 1;
    }
    $.post("type_add.php", { ctr: ctr, hide: hide_check }, function (data) {
      $(data).appendTo(".tbody3");
    });
  }
});
